.slider {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: flex-start;
    width: 100%;
    overflow: hidden;
    flex: none;
}

.slider .track {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    flex: none;
    flex-wrap: nowrap;
    transition: margin-left 300ms ease-in-out;
    transition-property: margin-left;
    transition-timing-function: ease-in-out;
    overflow: hidden;
}

.slider .slide {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    flex: none;
    opacity: 0;
    overflow: visible;
    transition: opacity 300ms ease-in-out;
    transition-delay: 150ms;
}

.slider .slide.active {
    opacity: 1;
}


